@font-face {
    font-family: 'Dana';
    src: url('../fonts/dana/Dana-Regular.woff2') format('woff2-variations');
}

:root{

/*    direction: rtl;
    text-align: right;*/
}

html, body {
    font-family: Dana !important;
    /* font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
}

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.validation-errors,
.validation-summary-valid,
.validation-message {
    color: #dc3545;  
}
/* Search Dialog*/
.blur {
    backdrop-filter: blur(10px);
}

.dialog-background {
    background-color: transparent;
}

.dialog-background-title {
    background: rgba(var(--mud-palette-info-rgb), 0.5);
    color: var(--mud-palette-white);
}

.dialog-background-surface {
    background: rgba(var(--mud-palette-surface-rgb), 0.75);
}